Kerbal Space Program - Bug #2002

Phantom forces being applied ONLY in certain body's orbits
12/26/2013 12:22 PM - TMS

Status: Closed Start date: 12/26/2013
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 0.23 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

What happens:

When a simple ship enters the stable orbit of a particular celestial bodies, it cannot hold a 0-degree (northerly) heading with SAS
disabled. Instead of the expected behaviour of oscillating around that heading, the ship begins to drift, eventually building up enough
momentum to tumble steadily in a random direction.

This extreme behaviour was not seen in 0.22.
The quickest way to observe the difference in behaviour is to test in both Kerbin and Mun orbits.
Steps to recreate:

1. Take a Mk1 Command Pod and add:

e TR-18A Stack Decoupler
e FL-T100 Fuel Tank
e LV-T45 Liquid Fuel Engine

. Enable infinite fuel via ALT-F12 debug menu (this isn't the cause, before anyone suggests it is) and launch.
. Put yourself in a stable orbit.

. Enable SAS.

. Put yourself in a 0-degree, northerly heading (along the red line where the blue and brown intersect).

. Disable SAS and immediately engage time warp to cancel out any residual inertia.

. Come out of time warp and wait a few minutes...
You should hold that heading if in Kerbin orbit.
Now transfer to the Mun and repeat the last 5 steps.

You may need to wait a 3 or 4 minutes for it to build up momentum on such a small vessel, but it will begin tumbling in a random
direction.

Notes:

| have tested this on three new, non-modded, freshly-downloaded stock installations. My testing suggests that the following bodies
are affected:

Kerbin: OK

Mun: unstable

Duna: OK

Ike: unstable
Eve: OK

Gilly: unstable

Jool: OK

Laythe: OK
Vall: unstable
Tylo: OK
Bop: unstable
Pol: unstable

Dres: unstable
Eeloo: unstable

Forum thread and discussion: [[http:/forum.kerbalspaceprogram.com/threads/62750]]

Confirmed by other players/staff.

History

#1 - 12/27/2013 04:59 PM - TMS

This effect appears to be conditional on whether you're orbiting at less than 750m/s.
General consensus is that this is related to the Krakensbane threshold. See page 3 in the linked thread.

Requesting that this bug be moved to a higher priority.

#2 - 01/09/2014 01:09 AM - TruePikachu
I, as an independant observer (not having the patience to test the bug right now, maybe tomorrow), would believe that this is at most due to floating
point errors. However, from a realistic point of view, Kerbals being happy/scared/generally moving around would destabalize the ship.

| would mark this as not a bug, because it could potentially be intended behaviour, but I'll et someone else make that call.

However, | personally would either keep the current priority or downgrade it, since it doesn't affect the game a whole lot.

#3 - 01/12/2014 03:46 AM - tntristan12

This most definitely is a bug. | can confirm it in a modded save (where the mods | have installed would not affect this side of the game), and others in
the linked forum thread have reported the same stock behavior. This bug affects manned and unmanned spacecraft, and primarily affect low
gravitational parameter bodies such as the Mun. In fact, this bug makes docking around the Mun nigh impossible, as not only does this bug create
phantom torques, but on more massive vessels actually can be seen applying phantom translational forces as well. Sometimes the forces applied
overcome any RCS forces being used to try to cancel them out, resulting in the wanton waste of RCS fuel. You can see the translational behavior
best by zeroing out the relative velocity between two spacecraft and then tapping on and off time acceleration to zero out any rotation. The kraken
likes to pick a direction and stick with it, for the most part. | would recommend giving this bug medium priority, because at this stage in the game
something as basic as orbit around the Mun should not be this frustrating!

#4 - 01/13/2014 03:10 AM - TruePikachu

| can state that | don't have trouble docking near Mun in an unmodded install. Additionally, the use of SAS would cancel out the effects of the bug as
you report it (know that you don't need to use RCS for this, | tend to prefer using reaction wheels for direction).
As | see it, the bug is very easily worked around, given that | haven't encountered it in the situation you describe.

#5 - 01/16/2014 07:44 PM - TruePikachu

Right now, I'm starting to think it might be related to how far you are from the center of the body (radius + altitude). Lesser distance == greater effect.
This would be because of how the navball reorients itself to the body, and if you are travelling, you are indeed getting a differing angle.

I'll check what MechJeb says about my angles later in a geostationary orbit.

#6 - 07/17/2016 09:25 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#7 - 08/08/2016 12:53 PM - TriggerAu

- Status changed from Needs Clarification to Closed
http://forum.kerbalspaceprogram.com/threads/62750

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
